package com.ejie.ad74a.util.constantes;

import org.springframework.context.i18n.LocaleContextHolder;

import com.ejie.ad74a.util.comun.Utilidades;

public enum EstadoTareasEnum {
	ABIERTA("1", "estadotareasenum.abierta"), //
	FINALIZADA("2", "estadotareasenum.finalizada"), //
	CANCELADA("3", "estadotareasenum.cancelada"), //
	ANULADA("4", "estadotareasenum.anulada");

	private EstadoTareasEnum(String id, String labelDesc) {
		this.id = id;
		this.labelDesc = labelDesc;
	}

	private String id;
	private String labelDesc;

	public String getId() {
		return this.id;
	}

	public static EstadoTareasEnum getEnumByTaskId(String id) {
		for (EstadoTareasEnum tarea : EstadoTareasEnum.values()) {
			if (tarea.getId().equals(id)) {
				return tarea;
			}
		}
		return null;
	}

	public String getLabelDesc() {
		return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc,
				LocaleContextHolder.getLocale());
	}

}
